%global _empty_manifest_terminate_build 0
Name:           python-platformdirs
Version:        2.5.1
Release:        1
Summary:        A small Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        https://files.pythonhosted.org/packages/33/66/61da40aa546141b0d70b37fe6bb4ef1200b4b4cb98849f131b58faa9a5d2/platformdirs-2.5.1.tar.gz
Patch0:         0001-fix-pkg-version.patch
BuildArch:      noarch
%description
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location.

%package -n python3-platformdirs
Summary:        A small Python module for determining appropriate platform-specific dirs
Provides:       python-platformdirs
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Tests running requires
BuildRequires:  python3-appdirs
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-coverage
%description -n python3-platformdirs
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location.

%package help
Summary:        A small Python module for determining appropriate platform-specific dirs
Provides:       python3-platformdirs-doc
%description help
The problem When writing desktop application, finding the right location to
store user data and configuration varies per platform. Even for single-platform
apps, there may by plenty of nuances in figuring out the right location

%prep
%autosetup -n platformdirs-%{version} -p1
cp -r src/platformdirs tests/
cp -r src/platformdirs ./

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
/usr/bin/pytest

%files -n python3-platformdirs -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 26 2022 OpenStack_SIG <openstack@openeuler.org> - 2.5.1-1
- Upgrade the version to 2.5.1
 
* Wed Apr 27 2022 caodongxia <caodongxia@h-partners.com> - 2.3.0-1
- init package
